Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::qname Class Reference

qualified name More...

`#include <qname.h>`

List of all members.

## Public Methods
| qname ()
| qname (const std::string &rawname)
void | set (const std::string &uri, const std::string &name)
void | set (const std::string &rawname)
bool | is_qualified () const
std::string | qualified () const
const std::string & | prefix () const
std::string & | local ()
const std::string & | local () const
bool | empty () const

## Detailed Description

qualified name

Definition at line 20 of file qname.h.

## Constructor & Destructor Documentation

aka2::qname::qname | ( |  | ) | `[inline, explicit]`

| default constructor Definition at line 24 of file qname.h.

aka2::qname::qname | ( | const std::string & | rawname | ) | `[inline, explicit]`

  | constructor by using name as std::string. Parameters:
  rawname | name
  Exceptions:
  aka2::error | thrown if rawname is in a wrong format, or namespace prefix not registered.
Definition at line 31 of file qname.h. References set().

## Member Function Documentation

bool aka2::qname::empty | ( |  | ) |

| empty. Returns: true if name string is empty, otherwise false.

bool aka2::qname::is_qualified | ( |  | ) | const`[inline]`

| returns true if qname is qualified. Returns: true if qualified, otherwise false. Definition at line 61 of file qname.h.

const std::string& aka2::qname::local | ( |  | ) |

| get local name (const version) Returns: local name

std::string& aka2::qname::local | ( |  | ) |

| get local name. Returns: local name

const std::string& aka2::qname::prefix | ( |  | ) |

| get prefix of this name. Returns: prefix string.

std::string aka2::qname::qualified | ( |  | ) |

| return qualified name. Returns: returns qualified name if qualified, or localname if not qualified.

void aka2::qname::set | ( | const std::string & | rawname | ) |

  | set name Parameters:
  rawname | name
  Exceptions:
  aka2::error | thrown if rawname is in wrong format, or namespace prefix not registered.

void aka2::qname::set | ( | const std::string & | uri,
|  | const std::string & | name
| ) |

  | constructor by using uri and localname. Parameters:
  uri | namespace URI
  name | local name
Referenced by qname().

The documentation for this class was generated from the following file:

- qname.h